Ruby Nokogiri Gem XML解析拒绝服务漏洞

CVE编号

CVE-2013-6460

利用情况

暂无

补丁情况

N/A

披露时间

2019-11-06
漏洞描述
Nokogiri gem 1.5.x has Denial of Service via infinite loop when parsing XML documents
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 nokogiri nokogiri * From
(including)
1.5.0
Up to
(excluding)
1.5.11
运行在以下环境
应用 nokogiri nokogiri * From
(including)
1.6.0
Up to
(excluding)
1.6.1
运行在以下环境
应用 redhat cloudforms_management_engine 5.0 -
运行在以下环境
应用 redhat enterprise_mrg 2.0 -
运行在以下环境
应用 redhat openstack 3.0 -
运行在以下环境
应用 redhat openstack 4.0 -
运行在以下环境
应用 redhat satellite 6.0 -
运行在以下环境
应用 redhat subscription_asset_manager - -
CVSS3评分
6.5
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
    需要
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-776 DTD中递归实体索引的不恰当限制(XML实体扩展)
阿里云安全产品覆盖情况